{
  "criteria": {
    "impossible": {
      "trigger": "minecraft:impossible"
    }
  },
  "requirements": [
    [
      "impossible"
    ]
  ],
  "rewards": {
    "function": "bordercraft:once/item/splash_potion"
  }
}